#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Similarity
Summary:	String::Similarity - calculate the similarity of two strings
Summary(pl.UTF-8):	String::Similarity - obliczanie podobieństwa dwóch łańcuchów
Name:		perl-String-Similarity
Version:	1.04
Release:	7
# C files say GPL v2+
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	84936c1d393e92680a5d58039dcb9fd9
URL:		http://search.cpan.org/dist/String-Similarity/
%{?with_tests:BuildRequires:	perl-Encode}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'similarity'-function calculates the similarity index of its two
arguments. A value of '0' means that the strings are entirely
different. A value of '1' means that the strings are identical.
Everything else lies between 0 and 1 and describes the amount of
similarity between the strings.

%description -l pl.UTF-8
Funkcja similarity oblicza indeks podobieństwa pomiędzy dwoma
parametrami. Wartość '0' oznacza, że łańcuchy są całkowicie różne.
Wartość '1' oznacza, że są identyczne. Wszystko inne zawiera się
między 0 a 1 i opisuje stopień podobieństwa pomiędzy łańcuchami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/Similarity.pm
%dir %{perl_vendorarch}/auto/String/Similarity
%attr(755,root,root) %{perl_vendorarch}/auto/String/Similarity/Similarity.so
%{_mandir}/man3/String::Similarity.3pm*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-String-Similarity.git;a=log;h=master

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d58e438
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e36143e
- x32 rebuild
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6637aa4
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e538eb0
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 101359c
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4bb2246
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> c74c59d
- more verbose files

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> bbaf0c8
- tests BR: perl-Encode

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 12c13db
- release 2

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> 9e233dc
- updated to 1.04

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 635531a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 1cf83ad
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 77ea68e
- generic URL

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> e3056ee
- up to 1.03

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1f9981f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 20a32bb
- converted to UTF-8

* Mon Oct 23 2006 ankry <ankry@pld-linux.org> 9901a56
- ver. 1.02

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7780247
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 161cb8e
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> c17d2e2
- license fixed, cosmetics

